import type { _NSArray } from "../Foundation/NSArray.js";
import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSDate } from "../Foundation/NSDate.js";
import type { _NSMeasurement } from "../Foundation/NSMeasurement.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSSecureCoding } from "../Foundation/NSSecureCoding.js";
import type { _SRElectrocardiogramSession } from "./SRElectrocardiogramSession.js";
import type { SRElectrocardiogramLead } from "./SRElectrocardiogramLead.js";
export declare class _SRElectrocardiogramSample extends _NSObject {
    static alloc(): _SRElectrocardiogramSample;
    static new(): _SRElectrocardiogramSample;
    init(): _SRElectrocardiogramSample;
    /** @property date @brief Date of the start of the batch of ECG data */
    date(): _NSDate;
    /**
     * @property frequency @brief Frequency in hertz at which the ECG data was recorded
     */
    frequency(): _NSMeasurement;
    /** @property session @brief The session to which this sample belongs */
    session(): _SRElectrocardiogramSession;
    lead(): SRElectrocardiogramLead;
    data(): _NSArray;
}
export interface _SRElectrocardiogramSample extends _NSCopying, _NSSecureCoding {
}
